keyart(1)

NAME
keyart - Create ASCII art of an OpenPGP key.

SYNOPSIS
keyart [-c|--color] [-l|--longid] [-f|--fingerprint HEX [-f|--fingerprint HEX ...]] [-k|--keyring KEYRING [-k|--keyring KEYRING ...]] [KEYID ...]

DESCRIPTION
keyart creates an ASCII art representation of public OpenPGP keys. The art is an implementation of the Drunken Bishop by Dirk Loss. Documentation about the algorithm can be found in /usr/share/doc/signing-party/keyart/, or as appropriate for your distribution.

keyart supports printing the ASCII art in both plain text (default) and ANSI color. ANSI color uses a "heat map", where cold (blue) represents squares in the room the drunk bishop has rarely visited, and hot (red) represents squares in the room the drunk bishop has frequently visited. There is a 1:1 ratio of color to printed character.

The KEYIDs are key identifiers (fingerprint, keyid, user ID, etc. see gpg(1) for details). If no KEYID is given, keyart creates an ASCII art representation for all keys found.

OPTIONS

-c | --color
    Print the ASCII art using ANSI color to the terminal.

-l | --longid
    Print the 16-character long ID of a on OpenPGP key in the footer badge. Default is to print the 8-character short ID. Silently ignored if "-f | --fingerprint HEX" is passed.

-f | --fingerprint HEX
    Any arbitrary hexadecimal string of any length. Could be an MD5, SHA1, SHA2, or SHA3 hexadecimal checksum. Useful for comparing and analyzing potential collisions with existing keys. This option can be repeated multiple times.

-k | --keyring KEYRING
    An OpenPGP public key file or keyring, from which the KEYIDs are to be found. If this option is not present, the KEYIDs are found from GnuPG's default keyring (usually ~/.gnupg/pubring.gpg); if it is repeated multiple times, the provided KEYRINGs are used as successive sources.

-h | --help
    Print the help message and quit.

ENVIRONMENT

HOME
    Set the default home directory.

GNUPGBIN
    Set the gpg binary. Default: "gpg".

GNUPGHOME
    Set the default working directory for gpg. Default: "~/.gnupg".

EXIT STATUS

0   keyart was executed successfully.

1   gpg(1) or gpg2(1) are not installed.

2   The supplied hexadecimal string is not a multiple of 8 bytes.

SEE ALSO
gpg(1)

AUTHOR
keyart and its documentation is written by Aaron Toponce <aaron.toponce@gmail.com>.